> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transacción de un insider

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "data": [
      {
        "accession_number": "0000905729-26-000009",
        "company_cik": "0000803164",
        "company_name": "CHOICEONE FINANCIAL SERVICES INC",
        "company_symbol": "COFS",
        "filing_date": "2026-01-05T19:54:05Z",
        "footnotes": null,
        "form_type": "4",
        "html_url": "https://www.sec.gov/Archives/edgar/data/0000803164/000090572926000009//Archives/edgar/data/803164/000090572926000009/0000905729-26-000009-index.htm",
        "id": "695c171b1bd4be0001967659",
        "is_10b5": false,
        "owner": {
          "insider_cik": "0001788991",
          "insider_name": "Gregory McConnell",
          "insider_title": "",
          "is_director": true,
          "is_officer": false,
          "is_ten_percent_owner": false,
          "raw_signature": "/s/ Sarah A. Harper, by Power of Attorney"
        },
        "remaining_shares": "34400",
        "traded_percentage": "0.68%",
        "transactions": [
          {
            "acquired_or_disposed": "A",
            "conversion_exercise_price_derivative": "",
            "date_deemed_execution": null,
            "date_exercisable": null,
            "date_expiration": null,
            "date_transaction": "2026-01-01T00:00:00Z",
            "is_derivative": false,
            "ownership": "d",
            "post_transaction_quantity": "34400",
            "price_per_share": "29.52",
            "remaining_underlying_shares": "",
            "security_title": "Common Stock",
            "shares": "233",
            "transaction_code": "a",
            "transaction_id": "0000803164_0000905729-26-000009_nd_t_0",
            "underlying_security_title": "",
            "underlying_shares": "",
            "voluntarily_reported": false
          }
        ],
        "updated": 1767642907
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Token de autenticación no válido o ausente"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No se encontraron datos para los parámetros especificados"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "Se produjo un error inesperado al procesar su solicitud"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml es/openapi/calendar-api.spec.yml GET /api/v1/sec/insider_transactions/{view_type}
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/sec/insider_transactions/{view_type}:
    get:
      tags:
        - Insider Transaction
      summary: الصفقات الداخلية
      description: >-
        يُرجِع بيانات الصفقات الداخلية من نماذج SEC Form 4 المُقدَّمة. استخدِم
        المسار /filings لعرض الإيداعات بشكل مُجمَّع (الصفقات متداخلة تحت كل
        إيداع)، أو المسار /transactions لعرض كل صفقة بشكل منفصل (مُسطَّح). كلا
        المسارين يدعمان معاملات الاستعلام نفسها.
      operationId: get-insider-transaction
      parameters:
        - description: >-
            إزاحة الصفحة (page offset). لأسباب متعلقة بتحسين الأداء والاعتبارات
            التقنية، يتم تقييد قيمة إزاحة الصفحة بين 0 و100000. حدِّد نطاق نتائج
            الاستعلام باستخدام معاملات أخرى مثل التاريخ. القيمة الافتراضية هي 0.
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُرجَعة. الحد الأقصى 1000.
          in: query
          name: pagesize
          schema:
            type: integer
            default: 100
        - description: تاريخ البدء بصيغة YYYY-MM-DD
          in: query
          name: date_from
          schema:
            type: string
            format: date
        - description: تاريخ الانتهاء بصيغة YYYY-MM-DD
          in: query
          name: date_to
          schema:
            type: string
            format: date
        - description: >-
            الطابع الزمني Unix (بتوقيت UTC) لآخر وقت كانت فيه السجلات محدَّثة.
            سيجبر هذا ترتيب الفرز على أن يكون أكبر من أو مساويًا للطابع الزمني
            المحدَّد
          in: query
          name: updated_since
          schema:
            type: integer
        - description: تاريخ بصيغة YYYY-MM-DD
          in: query
          name: date
          schema:
            type: string
            format: date
        - description: الحقول
          in: query
          name: fields
          schema:
            type: string
        - description: نوع مفاتيح البحث
          in: query
          name: search_keys_type
          schema:
            type: string
            enum:
              - symbol
              - accession_number
              - cik
              - id
        - description: مفاتيح البحث
          in: query
          name: search_keys
          schema:
            type: string
        - description: العرض
          in: query
          name: display
          schema:
            type: string
            enum:
              - flat
              - nested
        - description: >-
            تنسيق الاستجابة: تُرجِع 'filings' عرضًا مجمّعًا للإيداعات مع إدراج
            المعاملات ضمنه، وتُرجِع 'transactions' عرضًا مسطّحًا للمعاملات
            الفردية
          in: path
          name: view_type
          required: true
          schema:
            type: string
            enum:
              - filings
              - transactions
      responses:
        '200':
          description: >-
            بيانات معاملات المطلعين. تختلف بنية الاستجابة باختلاف نقطة النهاية:
            تُرجِع ‏/filings بيانات ملفات متداخلة، بينما تُرجِع ‏/transactions
            بيانات معاملات مسطّحة
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.InsiderTransactionFilingDoc'
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ خادم داخلي
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.InsiderTransactionFilingDoc:
      properties:
        data:
          items:
            $ref: '#/components/schemas/calendarapi.InsiderTransaction'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.InsiderTransaction:
      properties:
        accession_number:
          example: 0001127602-24-000123
          type: string
        company_cik:
          example: 320193
          type: string
        company_name:
          example: Apple Inc.
          type: string
        company_symbol:
          example: AAPL
          type: string
        filing_date:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        footnotes:
          items:
            $ref: '#/components/schemas/calendarapi.SECFootnotes'
          type: array
        form_type:
          example: '4'
          type: string
        html_url:
          example: >-
            https://www.sec.gov/cgi-bin/browse-edgar?action=getcompany&CIK=0000320193
          type: string
        id:
          example: 64a1b2c3d4e5f6789012345
          type: string
        is_10b5:
          example: true
          type: boolean
        owner:
          $ref: '#/components/schemas/calendarapi.Owner'
        remaining_shares:
          example: '125000'
          type: string
        remaining_underlying_shares:
          example: '50000'
          type: string
        traded_percentage:
          example: '15.5'
          type: string
        transactions:
          items:
            $ref: '#/components/schemas/calendarapi.Transaction'
          type: array
        updated:
          example: 1704758400
          type: integer
      type: object
    calendarapi.SECFootnotes:
      properties:
        id:
          example: F1
          type: string
        text:
          example: Shares were sold pursuant to a Rule 10b5-1 trading plan
          type: string
      type: object
    calendarapi.Owner:
      properties:
        insider_cik:
          example: '0001234567'
          type: string
        insider_name:
          example: Tim Cook
          type: string
        insider_title:
          example: Chief Executive Officer
          type: string
        is_director:
          example: true
          type: boolean
        is_officer:
          example: true
          type: boolean
        is_ten_percent_owner:
          example: false
          type: boolean
        raw_signature:
          example: /s/ Tim Cook
          type: string
      type: object
    calendarapi.Transaction:
      properties:
        acquired_or_disposed:
          example: D
          type: string
        conversion_exercise_price_derivative:
          example: '150.25'
          type: string
        date_deemed_execution:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        date_exercisable:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        date_expiration:
          example: '2025-01-09T00:00:00.000Z'
          type: string
        date_transaction:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        is_derivative:
          example: false
          type: boolean
        ownership:
          example: Direct
          type: string
        post_transaction_quantity:
          example: '250000'
          type: string
        price_per_share:
          example: '150.25'
          type: string
        remaining_underlying_shares:
          example: '50000'
          type: string
        security_title:
          example: Common Stock
          type: string
        shares:
          example: '10000'
          type: string
        transaction_code:
          example: S
          type: string
        transaction_id:
          example: TXN-20240109-001
          type: string
        underlying_security_title:
          example: Common Stock
          type: string
        underlying_shares:
          example: '10000'
          type: string
        voluntarily_reported:
          example: false
          type: boolean
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````